# List operation items

`GET https://api.cademi.com.br/api/v3/operations/{operation_id}/items`

Operation ID: `operations.items` · API v3

Lists the items of a batch operation in the order they were submitted, using cursor-based pagination.

Required permissions: `operations.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `operation_id` | path | string | yes |  |
| `limit` | query | integer | no |  |
| `cursor` | query | string | no |  |

## Responses

### 200

Returns the collection of operation items.

Body: `data`: array of OperationItem.

Fields of OperationItem:

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object or null | yes |  |
| `finished_at` | string or null (date-time) | yes |  |
| `key` | string | yes |  |
| `object` | string, one of `operation_item` | yes |  |
| `position` | integer | yes |  |
| `result` | object or null | yes |  |
| `retryable` | boolean | yes |  |
| `status` | string, one of `pending`, `succeeded`, `failed`, `skipped` | yes |  |

### 400

The cursor is invalid or the request contains an unsupported query parameter.

Body: Error.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The operation was not found or is not accessible with the current credentials.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
